import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:taafee_mobile/common/widgets/text.dart';
import 'package:taafee_mobile/features/card/data_layer/model/feedback.dart';

class FeedbackWidget extends StatelessWidget {
  final FeedbackModel feedbackModel;
  const FeedbackWidget({super.key, required this.feedbackModel});

  @override
  Widget build(BuildContext context) {
    return feedbackModel.feedback != "null"
        ? Row(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: [
              RegularTextWidget(
                "${feedbackModel.user.firstName} ${feedbackModel.user.lastName}",
                fontSize: 16,
              ),
              RegularTextWidget(
                feedbackModel.feedback,
                fontSize: 14,
              ),
            ],
          ).paddingSymmetric(horizontal: 20, vertical: 8)
        : Container();
  }
}
